Bug 473101 - No X with Intel 82915G/GV/910GL
No X with Intel 82915G/GV/910GL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
All Linux
high Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 10:18 EST by Jos Vos
Modified: 2010-04-27 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 14:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file for "intel" driver (36.07 KB, text/plain)
2008-11-26 10:18 EST, Jos Vos
no flags Details
Xorg.0.log file for "vesa" driver (5.86 KB, text/plain)
2008-11-26 10:22 EST, Jos Vos
no flags Details

  None (edit)
Description Jos Vos 2008-11-26 10:18:32 EST
Created attachment 324731 [details]
Xorg.0.log file for "intel" driver

Description of problem:
On an IBM SurePOS 565 with integrated 15" 1024x768 LCD screen and 
Intel 82915G/GV/910GL graphics chipset, it is not possible to get X running, not with the Intel driver and also not with the VESA driver.

On RHEL4 and RHEL5, the same configuration works with the "i810" driver.

Version-Release number of selected component (if applicable):
2.5.0-3.fc10

How reproducible:
Start X...

Actual results:
I'v e attached the Xorg.0.log files for both the "intel" and the "vesa" drivers.

Additional info:
This hardware works with RHEL4 and RHEL5, with the "i810" driver.
Comment 1 Jos Vos 2008-11-26 10:22:02 EST
Created attachment 324733 [details]
Xorg.0.log file for "vesa" driver
Comment 2 Matěj Cepl 2008-11-26 18:39:57 EST
That's POS like "Point of Sale"? Are we talking about computerized cash register?
Comment 3 Jos Vos 2008-11-27 02:33:56 EST
Yes.  We're talking about this system:

http://www-03.ibm.com/products/retail/products/pos/500/specs_eu.html
http://www-03.ibm.com/products/retail/products/pos/500/prodview.html

IBM only supports SUSE on it, but we made it (and it precedessor SurePOS 563) working with RHEL4/5.  Some tweaks (like acpi=off, some extras on RHEL4 to get all the 6 serial ports working, some BIOS settings to make the disk not continuosly produce timeouts (!), etc.).
Comment 4 Brian C. Lane 2009-01-08 12:37:27 EST
Same problem here with a -545 using the same video chipset.
Comment 5 Brian C. Lane 2009-01-08 17:42:55 EST
A little more info: It is actually bringing up X on the external video port. I plugged in a monitor and it is working so the driver is just fine. But I can't seem to get it to switch to the attached LCD monitor.

xrandr -q reports:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1920 x 1920
VGA connected 1024x768+0+0 (normal left inverted right x axis y axis) 306mm x 230mm

...

Unknown-1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 228mm

...

I'm using Fedora 9 and the GUI screen configuration tool recognizes both monitors but the 2nd one won't display anything.
Comment 6 Brian C. Lane 2009-01-14 11:41:10 EST
This bug (https://bugzilla.redhat.com/show_bug.cgi?id=479901) is related to the VESA driver not working on this hardware.

I was able to work around this using the VESA driver by rebuilding the xorg server using --with-int10=vm86 instead of --with-int10=x86emu
Comment 7 Vedran Miletić 2009-09-06 03:53:21 EDT
Reporter, can you retest if this still happens in Fedora 11 or Fedora 12 Snap1?
Comment 8 Vedran Miletić 2009-09-21 10:26:39 EDT
Reporter doesn't reply, and we don't have sufficent data to verify that this is still an issue. There were many changes in intel driver during Fedora 11 cycle, and there is a great chance that this bug was fixed.
Comment 9 Jos Vos 2009-11-24 13:20:25 EST
Problem still exists in F12.  Install doesn't pass mode switching for selecting the language.  Installing with "nomodeset xdriver=intel vga=ask" works (when choosing mode VESA 1025x768) and I'll report more about the running system tomorrow.
Comment 10 Jos Vos 2009-11-25 09:18:28 EST
Should this bug be recreated as F12 bug for xorg-x11-drv-intel ?

Anyway, with F12, installing with "nomodeset" solves the problem during install.  Switching between graphical and character consoles is then possible too.

After install, X works, but the graphical boot doesn't work and switching to the character consoles causes a black screen.  Adding "vga=792" to the kernel parameter list solves these problems ("nomodeset" is also in that list, added by anaconda).
Comment 11 Vedran Miletić 2009-11-25 15:55:17 EST
No need to recreate anything. This bug is now Fedora 12 xorg-x11-drv-intel bug.
Comment 12 Adam Jackson 2010-04-27 14:32:50 EDT
This should be working in F13, possibly even F12.  If I recall, the bug here was that the machine has LVDS on SDVO, and that F11 didn't handle that right.  THat was fixed in upstream a while ago though.
Comment 13 Jos Vos 2010-04-27 15:06:23 EDT
What about RHEL6?  Will it be solved there too?

I'll try to test it with F12, F13 and RHEL6 beta in the next weeks.

Note You need to log in before you can comment on or make changes to this bug.